Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nam_tide
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nam_tide	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nam_tide	(revision 8810)
@@ -2,8 +2,8 @@
 &nam_tide      !   tide parameters
 !-----------------------------------------------------------------------
-   ln_tide       = .true.   !  Activate tide module
-   ln_tide_pot   = .true.   !  use tidal potential forcing
-   ln_tide_ramp  = .false.  !
-   rdttideramp   =    0.    !
-   clname(1)     = 'DUMMY'  !  name of constituent - all tidal components must be set in namelist_cfg
+   ln_tide     = .false.
+   ln_tide_pot = .true.    !  use tidal potential forcing
+   ln_tide_ramp= .false.   !
+   rdttideramp =    0.     !
+   clname(1)   = 'DUMMY'   !  name of constituent - all tidal components must be set in namelist_cfg
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nam_vvl
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nam_vvl	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nam_vvl	(revision 8810)
@@ -1,14 +1,14 @@
 !-----------------------------------------------------------------------
-&nam_vvl    !   vertical coordinate options                             (default: zstar)
+&nam_vvl       !   vertical coordinate options                             (default: z-star)
 !-----------------------------------------------------------------------
-   ln_vvl_zstar  = .true.           !  zstar vertical coordinate
-   ln_vvl_ztilde = .false.          !  ztilde vertical coordinate: only high frequency variations
+   ln_vvl_zstar  = .true.           !  z-star vertical coordinate
+   ln_vvl_ztilde = .false.          !  z-tilde vertical coordinate: only high frequency variations
    ln_vvl_layer  = .false.          !  full layer vertical coordinate
    ln_vvl_ztilde_as_zstar = .false. !  ztilde vertical coordinate emulating zstar
    ln_vvl_zstar_at_eqtor  = .false. !  ztilde near the equator
-   rn_ahe3       = 0.0e0            !  thickness diffusion coefficient
-   rn_rst_e3t    = 30.e0            !  ztilde to zstar restoration timescale [days]
-   rn_lf_cutoff  = 5.0e0            !  cutoff frequency for low-pass filter  [days]
-   rn_zdef_max   = 0.9e0            !  maximum fractional e3t deformation
+   rn_ahe3       =  0.0             !  thickness diffusion coefficient
+   rn_rst_e3t    = 30.0             !  ztilde to zstar restoration timescale [days]
+   rn_lf_cutoff  =  5.0             !  cutoff frequency for low-pass filter  [days]
+   rn_zdef_max   =  0.9             !  maximum fractional e3t deformation
    ln_vvl_dbg    = .true.           !  debug prints    (T/F)
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambbl
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambbl	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambbl	(revision 8810)
@@ -1,5 +1,6 @@
 !-----------------------------------------------------------------------
-&nambbl        !   bottom boundary layer scheme                         ("key_trabbl")
+&nambbl        !   bottom boundary layer scheme                         (default: NO)
 !-----------------------------------------------------------------------
+   ln_trabbl   = .false.   !  Bottom Boundary Layer parameterisation flag
    nn_bbl_ldf  =  1        !  diffusive bbl (=1)   or not (=0)
    nn_bbl_adv  =  0        !  advective bbl (=1/2) or not (=0)
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambdy
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambdy	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambdy	(revision 8810)
@@ -1,6 +1,6 @@
 !-----------------------------------------------------------------------
-&nambdy        !  unstructured open boundaries
+&nambdy        !  unstructured open boundaries                          
 !-----------------------------------------------------------------------
-    ln_bdy         = .true.               !  Activate BDY module
+    ln_bdy         = .false.              !  Use unstructured open boundaries
     nb_bdy         = 0                    !  number of open boundary sets
     ln_coords_file = .true.               !  =T : read bdy coordinates from file
@@ -33,3 +33,4 @@
     ln_vol        = .false.               !  total volume correction (see nn_volctl parameter)
     nn_volctl     = 1                     !  = 0, the total water flux across open boundaries is zero
+    nb_jpk_bdy    = -1                    ! number of levels in the bdy data (set < 0 if consistent with planned run)
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambdy_dta
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambdy_dta	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambdy_dta	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&nambdy_dta    !  open boundaries - external data
+&nambdy_dta    !  open boundaries - external data                       
 !-----------------------------------------------------------------------
 !              !  file name      ! frequency (hours) ! variable  ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
@@ -13,6 +13,6 @@
 ! for lim3
 !   bn_a_i     = 'amm12_bdyT_ice',         24        , 'ileadfra',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
-!   bn_ht_i    = 'amm12_bdyT_ice',         24        , 'iicethic',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
-!   bn_ht_s    = 'amm12_bdyT_ice',         24        , 'isnowthi',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
+!   bn_h_i     = 'amm12_bdyT_ice',         24        , 'iicethic',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
+!   bn_h_s     = 'amm12_bdyT_ice',         24        , 'isnowthi',    .true.   , .false. ,  'daily'  ,    ''    ,   ''     ,     ''
 
    cn_dir      = 'bdydta/' !  root directory for the location of the bulk files
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namberg
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namberg	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namberg	(revision 8810)
@@ -2,33 +2,33 @@
 &namberg       !   iceberg parameters                                   (default: No iceberg)
 !-----------------------------------------------------------------------
-      ln_icebergs              = .false.              ! iceberg floats or not
-      ln_bergdia               = .true.               ! Calculate budgets
-      nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
-      nn_verbose_write         = 15                   ! Timesteps between verbose messages
-      nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
-                                                      ! Initial mass required for an iceberg of each class
-      rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
-                                                      ! Proportion of calving mass to apportion to each class
-      rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
-                                                      ! Ratio between effective and real iceberg mass (non-dim)
-                                                      ! i.e. number of icebergs represented at a point
-      rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
-                                                      ! thickness of newly calved bergs (m)
-      rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
-      rn_rho_bergs             = 850.                 ! Density of icebergs
-      rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
-      ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
-      rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
-      rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
-      ln_passive_mode          = .false.              ! iceberg - ocean decoupling
-      nn_test_icebergs         =  10                  ! Create test icebergs of this class (-1 = no)
-                                                      ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
-      rn_test_box              = 108.0,  116.0, -66.0, -58.0
-      rn_speed_limit           = 0.                   ! CFL speed limit for a berg
+   ln_icebergs              = .false.              ! iceberg floats or not
+   ln_bergdia               = .true.               ! Calculate budgets
+   nn_verbose_level         = 1                    ! Turn on more verbose output if level > 0
+   nn_verbose_write         = 15                   ! Timesteps between verbose messages
+   nn_sample_rate           = 1                    ! Timesteps between sampling for trajectory storage
+                                                   ! Initial mass required for an iceberg of each class
+   rn_initial_mass          = 8.8e7, 4.1e8, 3.3e9, 1.8e10, 3.8e10, 7.5e10, 1.2e11, 2.2e11, 3.9e11, 7.4e11
+                                                   ! Proportion of calving mass to apportion to each class
+   rn_distribution          = 0.24, 0.12, 0.15, 0.18, 0.12, 0.07, 0.03, 0.03, 0.03, 0.02
+                                                   ! Ratio between effective and real iceberg mass (non-dim)
+                                                   ! i.e. number of icebergs represented at a point
+   rn_mass_scaling          = 2000, 200, 50, 20, 10, 5, 2, 1, 1, 1
+                                                   ! thickness of newly calved bergs (m)
+   rn_initial_thickness     = 40., 67., 133., 175., 250., 250., 250., 250., 250., 250.
+   rn_rho_bergs             = 850.                 ! Density of icebergs
+   rn_LoW_ratio             = 1.5                  ! Initial ratio L/W for newly calved icebergs
+   ln_operator_splitting    = .true.               ! Use first order operator splitting for thermodynamics
+   rn_bits_erosion_fraction = 0.                   ! Fraction of erosion melt flux to divert to bergy bits
+   rn_sicn_shift            = 0.                   ! Shift of sea-ice concn in erosion flux (0<sicn_shift<1)
+   ln_passive_mode          = .false.              ! iceberg - ocean decoupling
+   nn_test_icebergs         =  10                  ! Create test icebergs of this class (-1 = no)
+                                                   ! Put a test iceberg at each gridpoint in box (lon1,lon2,lat1,lat2)
+   rn_test_box              = 108.0,  116.0, -66.0, -58.0
+   rn_speed_limit           = 0.                   ! CFL speed limit for a berg
 
-!            ! file name ! frequency (hours) !   variable   ! time interp.!  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!            !           !  (if <0  months)  !     name     !  (logical)  !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
-      sn_icb =  'calving',       -1          , 'calvingmask',   .true.    , .true.  , 'yearly'  ,    ''    ,    ''    ,     ''
+!         ! file name ! frequency (hours) !   variable   ! time interp. !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!         !           !  (if <0  months)  !     name     !   (logical)  !  (T/F ) ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_icb =  'calving',       -1          , 'calvingmask',  .true.      , .true.  , 'yearly'  , ''       , ''       , ''
 
-      cn_dir = './'
+   cn_dir = './'
 /
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambfr
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nambfr	(revision 8809)
+++ 	(revision )
@@ -1,23 +1,0 @@
-!-----------------------------------------------------------------------
-&nambfr        !   bottom friction                                      (default: linear)
-!-----------------------------------------------------------------------
-   nn_bfr      =    1      !  type of bottom friction :   = 0 : free slip,  = 1 : linear friction
-                           !                              = 2 : nonlinear friction
-   rn_bfri1    =    4.e-4  !  bottom drag coefficient (linear case)
-   rn_bfri2    =    1.e-3  !  bottom drag coefficient (non linear case). Minimum coeft if ln_loglayer=T
-   rn_bfri2_max=    1.e-1  !  max. bottom drag coefficient (non linear case and ln_loglayer=T)
-   rn_bfeb2    =    2.5e-3 !  bottom turbulent kinetic energy background  (m2/s2)
-   rn_bfrz0    =    3.e-3  !  bottom roughness [m] if ln_loglayer=T
-   ln_bfr2d    = .false.   !  horizontal variation of the bottom friction coef (read a 2D mask file )
-   rn_bfrien   =    50.    !  local multiplying factor of bfr (ln_bfr2d=T)
-   rn_tfri1    =    4.e-4  !  top drag coefficient (linear case)
-   rn_tfri2    =    2.5e-3 !  top drag coefficient (non linear case). Minimum coeft if ln_loglayer=T
-   rn_tfri2_max=    1.e-1  !  max. top drag coefficient (non linear case and ln_loglayer=T)
-   rn_tfeb2    =    0.0    !  top turbulent kinetic energy background  (m2/s2)
-   rn_tfrz0    =    3.e-3  !  top roughness [m] if ln_loglayer=T
-   ln_tfr2d    = .false.   !  horizontal variation of the top friction coef (read a 2D mask file )
-   rn_tfrien   =   50.     !  local multiplying factor of tfr (ln_tfr2d=T)
-
-   ln_bfrimp   = .true.    !  implicit bottom friction (requires ln_zdfexp = .false. if true)
-   ln_loglayer = .false.   !  logarithmic formulation (non linear case)
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcfg
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcfg	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcfg	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration
+&namcfg        !   parameters of the configuration                     !   (default: user defined GYRE)
 !-----------------------------------------------------------------------
    ln_read_cfg = .false.   !  (=T) read the domain configuration file
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcfg_orca1
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcfg_orca1	(revision 8809)
+++ 	(revision )
@@ -1,12 +1,0 @@
-!-----------------------------------------------------------------------
-&namcfg        !   parameters of the configuration
-!-----------------------------------------------------------------------
-   cp_cfg      =  "orca"               !  name of the configuration
-   jp_cfg      =       1               !  resolution of the configuration
-   jpidta      =     362               !  1st lateral dimension ( >= jpi )
-   jpjdta      =     292               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      75               !  number of levels      ( >= jpk )
-   jpiglo      =     362               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =     292               !  2nd    -                  -    --> j  =jpjdta
-   jperio      =       6               !  lateral cond. type (between 0 and 6)
-   ln_use_jattr = .true.               !  use (T) the file attribute: open_ocean_jstart if present
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcrs
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcrs	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namcrs	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namcrs        !   coarsened grid (for outputs and/or TOP)              ("key_crs")
+&namcrs        !   coarsened grid (for outputs and/or TOP)              (ln_crs =T)
 !-----------------------------------------------------------------------
    nn_factx    = 3         !  Reduction factor of x-direction
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namctl
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namctl	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namctl	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namctl        !   Control prints & Benchmark
+&namctl        !   Control prints 
 !-----------------------------------------------------------------------
    ln_ctl      = .false.   !  trends control print (expensive!)
@@ -10,7 +10,5 @@
    nn_isplt    =    1      !  number of processors in i-direction
    nn_jsplt    =    1      !  number of processors in j-direction
-   nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
-                           !     (no physical validity of the results)
-   nn_timing   =    0      !  timing by routine activated (=1) creates timing.output file, or not (=0)
-   nn_diacfl   =    0      !  Write out CFL diagnostics (=1) in cfl_diagnostics.ascii, or not (=0)
+   ln_timing   = .false.   !  timing by routine write out in timing.output file
+   ln_diacfl   = .false.   !  CFL diagnostics write out in cfl_diagnostics.ascii
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdiu
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdiu	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdiu	(revision 8810)
@@ -2,5 +2,5 @@
 &namdiu        !   Cool skin and warm layer models                       (default F)
 !-----------------------------------------------------------------------
-   ln_diurnal      = .false.   ! 
+   ln_diurnal      = .false.   !
    ln_diurnal_only = .false.   !
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdom
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdom	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdom	(revision 8810)
@@ -1,39 +1,14 @@
 !-----------------------------------------------------------------------
-&namdom        !   space and time domain (bathymetry, mesh, timestep)
+&namdom        !   time and space domain
 !-----------------------------------------------------------------------
-   nn_bathy    =    1      !  compute (=0) or read (=1) the bathymetry file
-   rn_bathy    =    0.     !  value of the bathymetry. if (=0) bottom flat at jpkm1
+   ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    nn_closea   =    0      !  remove (=0) or keep (=1) closed seas and lakes (ORCA)
-   nn_msh      =    1      !  create (=1) a mesh file or not (=0)
-   rn_hmin     =   -3.     !  min depth of the ocean (>0) or min number of ocean level (<0)
+   !
+   nn_msh      =    0      !  create (>0) a mesh file or not (=0)
    rn_isfhmin  =    1.00   !  treshold (m) to discriminate grounding ice to floating ice
-   rn_e3zps_min=   20.     !  partial step thickness is set larger than the minimum of
-   rn_e3zps_rat=    0.1    !  rn_e3zps_min and rn_e3zps_rat*e3t, with 0<rn_e3zps_rat<1
-                           !
-   rn_rdt      = 5760.     !  time step for the dynamics (and tracer if nn_acc=0)
+   !
+   rn_rdt      = 5760.     !  time step for the dynamics and tracer
    rn_atfp     =    0.1    !  asselin time filter parameter
-   ln_crs      = .false.      !  Logical switch for coarsening module
-   jphgr_msh   =       0               !  type of horizontal mesh
-                                       !  = 0 curvilinear coordinate on the sphere read in coordinate.nc
-                                       !  = 1 geographical mesh on the sphere with regular grid-spacing
-                                       !  = 2 f-plane with regular grid-spacing
-                                       !  = 3 beta-plane with regular grid-spacing
-                                       !  = 4 Mercator grid with T/U point at the equator
-   ppglam0     =       0.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
-   ppgphi0     =     -35.0             ! latitude  of first raw and column T-point (jphgr_msh = 1)
-   ppe1_deg    =       1.0             !  zonal      grid-spacing (degrees)
-   ppe2_deg    =       0.5             !  meridional grid-spacing (degrees)
-   ppe1_m      =    5000.0             !  zonal      grid-spacing (degrees)
-   ppe2_m      =    5000.0             !  meridional grid-spacing (degrees)
-   ppsur       =    -4762.96143546300  !  ORCA r4, r2 and r05 coefficients
-   ppa0        =      255.58049070440  ! (default coefficients)
-   ppa1        =      245.58132232490  !
-   ppkth       =       21.43336197938  !
-   ppacr       =        3.0            !
-   ppdzmin     =       10.             !  Minimum vertical spacing
-   pphmax      =     5000.             !  Maximum depth
-   ldbletanh   =    .TRUE.             !  Use/do not use double tanf function for vertical coordinates
-   ppa2        =      100.760928500000 !  Double tanh function parameters
-   ppkth2      =       48.029893720000 !
-   ppacr2      =       13.000000000000 !
+   !
+   ln_crs      = .false.   !  Logical switch for coarsening module      (T => fill namcrs)
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg	(revision 8810)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg	(revision 8810)
@@ -0,0 +1,10 @@
+!-----------------------------------------------------------------------
+&namdrg            !   top/bottom drag coefficient                      (default: NO selection)
+!-----------------------------------------------------------------------
+   ln_NONE    = .false.    !  free-slip       : Cd = 0                  (F => fill namdrg_bot
+   ln_lin     = .false.    !      linear  drag: Cd = Cd0 Uc0                   &   namdrg_top)
+   ln_non_lin = .false.    !  non-linear  drag: Cd = Cd0 |U|
+   ln_loglayer= .false.    !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
+   !
+   ln_drgimp  = .true.     !  implicit top/bottom friction flag
+/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg_bot
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg_bot	(revision 8810)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg_bot	(revision 8810)
@@ -0,0 +1,11 @@
+!-----------------------------------------------------------------------
+&namdrg_bot        !   BOTTOM friction                                  
+!-----------------------------------------------------------------------
+   rn_Cd0     =  1.e-3    !  drag coefficient [-]
+   rn_Uc0     =  0.4      !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
+   rn_Cdmax   =  0.1      !  drag value maximum [-] (logarithmic drag)
+   rn_ke0     =  2.5e-3   !  background kinetic energy  [m2/s2] (non-linear cases)
+   rn_z0      =  3.e-3    !  roughness [m] (ln_loglayer=T)
+   ln_boost   = .false.   !  =T regional boost of Cd0 ; =F constant
+      rn_boost=  50.         !  local boost factor  [-]
+/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg_top
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg_top	(revision 8810)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdrg_top	(revision 8810)
@@ -0,0 +1,11 @@
+!-----------------------------------------------------------------------
+&namdrg_top        !   TOP friction                                     (ln_isfcav=T)
+!-----------------------------------------------------------------------
+   rn_Cd0     =  1.e-3     !  drag coefficient [-]
+   rn_Uc0     =  0.4       !  ref. velocity [m/s] (linear drag=Cd0*Uc0) 
+   rn_Cdmax   =  0.1       !  drag value maximum [-] (logarithmic drag)
+   rn_ke0     =  2.5e-3    !  background kinetic energy  [m2/s2] (non-linear cases)
+   rn_z0      =  3.0e-3    !  roughness [m] (ln_loglayer=T)
+   ln_boost   = .false.    !  =T regional boost of Cd0 ; =F constant
+      rn_boost=  50.          !  local boost factor  [-]
+/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_adv
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_adv	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_adv	(revision 8810)
@@ -1,9 +1,9 @@
 !-----------------------------------------------------------------------
-&namdyn_adv    !   formulation of the momentum advection                (default: vector form)
+&namdyn_adv    !   formulation of the momentum advection                (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynadv_vec = .true.  !  vector form (T) or flux form (F)
-   nn_dynkeg     = 0       ! scheme for grad(KE): =0   C2  ;  =1   Hollingsworth correction
+   ln_dynadv_NONE= .false. !  linear dynamics (no momentum advection)
+   ln_dynadv_vec = .false. !  vector form - 2nd centered scheme
+     nn_dynkeg     = 0        ! grad(KE) scheme: =0   C2  ;  =1   Hollingsworth correction
    ln_dynadv_cen2= .false. !  flux form - 2nd order centered scheme
    ln_dynadv_ubs = .false. !  flux form - 3rd order UBS      scheme
-   ln_dynzad_zts = .false. !  Use (T) sub timestepping for vertical momentum advection
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_hpg
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_hpg	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_hpg	(revision 8810)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&namdyn_hpg    !   Hydrostatic pressure gradient option                 (default: zps)
+&namdyn_hpg    !   Hydrostatic pressure gradient option                 (default: NO selection)
 !-----------------------------------------------------------------------
    ln_hpg_zco  = .false.   !  z-coordinate - full steps
-   ln_hpg_zps  = .true.    !  z-coordinate - partial steps (interpolation)
+   ln_hpg_zps  = .false.   !  z-coordinate - partial steps (interpolation)
    ln_hpg_sco  = .false.   !  s-coordinate (standard jacobian formulation)
    ln_hpg_isf  = .false.   !  s-coordinate (sco ) adapted to isf
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_ldf
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_ldf	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namdyn_ldf	(revision 8810)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&namdyn_ldf    !   lateral diffusion on momentum                        (default: NO)
+&namdyn_ldf    !   lateral diffusion on momentum                        (default: NO selection)
 !-----------------------------------------------------------------------
    !                       !  Type of the operator :
-   !                           !  no diffusion: set ln_dynldf_lap=..._blp=F 
+   ln_dynldf_NONE=  .false.    !  No operator (i.e. no explicit diffusion)
    ln_dynldf_lap =  .false.    !    laplacian operator
    ln_dynldf_blp =  .false.    !  bilaplacian operator
@@ -19,8 +19,12 @@
    !                                !  = 30  F(i,j,k)=c2d*c1d
    !                                !  = 31  F(i,j,k)=F(grid spacing and local velocity)
+   !                                !  = 32  F(i,j,k)=F(local gridscale and deformation rate)
+   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
    rn_ahm_0      =  40000.     !  horizontal laplacian eddy viscosity   [m2/s]
    rn_ahm_b      =      0.     !  background eddy viscosity for ldf_iso [m2/s]
    rn_bhm_0      = 1.e+12      !  horizontal bilaplacian eddy viscosity [m4/s]
-   !
-   ! Caution in 20 and 30 cases the coefficient have to be given for a 1 degree grid (~111km)
+   !                       !  Smagorinsky settings (nn_ahm_ijk_t  = 32) :
+   rn_csmc       = 3.5         !  Smagorinsky constant of proportionality
+   rn_minfac     = 1.0         !  multiplier of theorectical lower limit
+   rn_maxfac     = 1.0         !  multiplier of theorectical upper limit
 /
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namelist_dmp
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namelist_dmp	(revision 8809)
+++ 	(revision )
@@ -1,24 +1,0 @@
-&nam_dmp_create
-    cp_cfg = 'orca'            ! Name of model grid (orca and C1D have special options - otherwise ignored)
-    cp_cfz = 'antarctic'       ! Name of zoom configuration (arctic and antarctic have some special treatment if lzoom=.true.)
-    jp_cfg = 2                 ! Resolution of the model (used for med_red_seas damping)
-    lzoom = .false.            ! Zoom configuration or not
-    ln_full_field = .false.    ! Calculate coefficient over whole of domain 
-    ln_med_red_seas = .true.   ! Damping in Med/Red Seas (or local modifications here if ln_full_field=.true.)
-    ln_old_31_lev_code = .true.   ! Replicate behaviour of old online code for 31 level model (Med/Red seas damping based on level number instead of depth)
-    ln_coast = .true.          ! Reduce near to coastlines 
-    ln_zero_top_layer = .true. ! No damping in top layer
-    ln_custom = .false.        ! Call "custom" module to apply user modifications to the damping coefficient field
-    nn_hdmp = 10               ! Damp poleward of this latitude (smooth transition up to maximum damping)
-    pn_surf = 0.25             ! Surface Relaxation timescale (days) 
-    pn_bot = 0.25              ! Bottom relaxation timescale (days)
-    pn_dep = 1000              ! Transition depth from upper to deep ocean
-    jperio = 2                 ! Lateral boundary condition (as specified in namelist_cfg for model run).
-/
-
-&nam_zoom_dmp
-    lzoom_n = .false.     ! Open boundary had northern edge?
-    lzoom_e = .false.     ! Open boundary at eastern edge?
-    lzoom_w = .false.     ! Open boundary at western edge?
-    lzoom_s = .false.     ! Open boundary at southern edge?
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nameos
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nameos	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nameos	(revision 8810)
@@ -1,13 +1,13 @@
 !-----------------------------------------------------------------------
-&nameos        !   ocean physical parameters
+&nameos        !   ocean Equation Of Seawater                           (default: NO)
 !-----------------------------------------------------------------------
-   ln_teos10   = .false.         !  = Use TEOS-10 equation of state
-   ln_eos80    = .false.         !  = Use EOS80 equation of state
-   ln_seos     = .false.         !  = Use simplified equation of state (S-EOS)
+   ln_teos10   = .false.         !  = Use TEOS-10
+   ln_eos80    = .false.         !  = Use EOS80
+   ln_seos     = .false.         !  = Use S-EOS (simplified Eq.)
                                  !
    !                     ! S-EOS coefficients (ln_seos=T):
    !                             !  rd(T,S,Z)*rau0 = -a0*(1+.5*lambda*dT+mu*Z+nu*dS)*dT+b0*dS
-   rn_a0       =  1.6550e-1      !  thermal expension coefficient (nn_eos= 1)
-   rn_b0       =  7.6554e-1      !  saline  expension coefficient (nn_eos= 1)
+   rn_a0       =  1.6550e-1      !  thermal expension coefficient
+   rn_b0       =  7.6554e-1      !  saline  expension coefficient
    rn_lambda1  =  5.9520e-2      !  cabbeling coeff in T^2  (=0 for linear eos)
    rn_lambda2  =  7.4914e-4      !  cabbeling coeff in S^2  (=0 for linear eos)
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nammpp
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nammpp	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/nammpp	(revision 8810)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi)
+&nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")
 !-----------------------------------------------------------------------
    cn_mpi_send =  'I'      !  mpi send/recieve type   ='S', 'B', or 'I' for standard send,
-                           !  buffer blocking send or immediate non-blocking sends, resp.
+   !                       !  buffer blocking send or immediate non-blocking sends, resp.
    nn_buffer   =   0       !  size in bytes of exported buffer ('B' case), 0 no exportation
    ln_nnogather=  .false.  !  activate code to avoid mpi_allgather use at the northfold
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namobs_example
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namobs_example	(revision 8809)
+++ 	(revision )
@@ -1,34 +1,0 @@
-!-----------------------------------------------------------------------
-&namobs       !  observation usage switch
-!-----------------------------------------------------------------------
-   ln_diaobs  = .true.                 ! Logical switch for the observation operator
-   ln_t3d     = .true.                 ! Logical switch for T profile observations
-   ln_s3d     = .true.                 ! Logical switch for S profile observations
-   ln_sla     = .false.                ! Logical switch for SLA observations
-   ln_sst     = .false.                ! Logical switch for SST observations
-   ln_sic     = .false.                ! Logical switch for Sea Ice observations
-   ln_vel3d   = .false.                ! Logical switch for velocity observations
-   ln_altbias = .false.                ! Logical switch for altimeter bias correction
-   ln_nea     = .false.                ! Logical switch for rejection of observations near land
-   ln_grid_global = .true.             ! Logical switch for global distribution of observations
-   ln_grid_search_lookup = .false.     ! Logical switch for obs grid search w/lookup table
-   ln_ignmis  = .true.                 ! Logical switch for ignoring missing files
-   ln_s_at_t  = .false.                ! Logical switch for computing model S at T obs if not there
-   ln_sstnight = .false.               ! Logical switch for calculating night-time average for SST obs
-   cn_profbfiles = 'profiles_01.nc'    ! Profile feedback input observation file names
-   cn_slafbfiles = 'sla_01.nc'         ! SLA feedback input observation file names
-   cn_sstfbfiles = 'sst_01.nc'         ! SST feedback input observation file names
-   cn_sicfbfiles = 'sic_01.nc'         ! SIC feedback input observation file names
-   cn_velfbfiles = 'vel_01.nc'         ! Velocity feedback input observation file names
-   cn_altbiasfile = 'altbias.nc'       ! Altimeter bias input file name
-   cn_gridsearchfile = 'gridsearch.nc' ! Grid search file name
-   rn_gridsearchres = 0.5              ! Grid search resolution
-   rn_dobsini = 00010101.000000        ! Initial date in window YYYYMMDD.HHMMSS
-   rn_dobsend = 00010102.000000        ! Final date in window YYYYMMDD.HHMMSS
-   nn_1dint = 0                        ! Type of vertical interpolation method
-   nn_2dint = 0                        ! Type of horizontal interpolation method
-   nn_msshc = 0                        ! MSSH correction scheme
-   rn_mdtcorr = 1.61                   ! MDT  correction
-   rn_mdtcutoff = 65.0                 ! MDT cutoff for computed correction
-   nn_profdavtypes = -1                ! Profile daily average types - array
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc	(revision 8810)
@@ -5,25 +5,23 @@
                            !     (also = the frequency of sea-ice & iceberg model call)
                      ! Type of air-sea fluxes 
-   ln_ana      = .false.   !  analytical formulation                    (T => fill namsbc_ana )
+   ln_usr      = .false.   !  user defined formulation                  (T => check usrdef_sbc)
    ln_flx      = .false.   !  flux formulation                          (T => fill namsbc_flx )
-   ln_blk_clio = .false.   !  CLIO bulk formulation                     (T => fill namsbc_clio)
-   ln_blk_core = .true.    !  CORE bulk formulation                     (T => fill namsbc_core)
-   ln_blk_mfs  = .false.   !  MFS bulk formulation                      (T => fill namsbc_mfs )
+   ln_blk      = .false.    !  Bulk formulation                          (T => fill namsbc_blk )
                      ! Type of coupling (Ocean/Ice/Atmosphere) :
    ln_cpl      = .false.   !  atmosphere coupled   formulation          ( requires key_oasis3 )
    ln_mixcpl   = .false.   !  forced-coupled mixed formulation          ( requires key_oasis3 )
    nn_components = 0       !  configuration of the opa-sas OASIS coupling
-                           !  =0 no opa-sas OASIS coupling: default single executable configuration
-                           !  =1 opa-sas OASIS coupling: multi executable configuration, OPA component
-                           !  =2 opa-sas OASIS coupling: multi executable configuration, SAS component 
+                           !  =0 no opa-sas OASIS coupling: default single executable config.
+                           !  =1 opa-sas OASIS coupling: multi executable config., OPA component
+                           !  =2 opa-sas OASIS coupling: multi executable config., SAS component 
                      ! Sea-ice :
-   nn_ice      = 3         !  =0 no ice boundary condition   ,
+   nn_ice      = 0         !  =0 no ice boundary condition   ,
                            !  =1 use observed ice-cover      ,
-                           !  =2-3 ice-model used                       ("key_lim3", "key_lim2", "key_cice")
-   nn_ice_embd = 1         !  =0 levitating ice (no mass exchange, concentration/dilution effect)
-                           !  =1 levitating ice with mass and salt exchange but no presure effect
-                           !  =2 embedded sea-ice (full salt and mass exchanges and pressure)
+                           !  =2 or 3 automatically for LIM3 or CICE    ("key_lim3" or "key_cice")
+                           !          except in AGRIF zoom where it has to be specified
+   ln_ice_embd = .false.   !  =T embedded sea-ice (pressure + mass and salt exchanges)
+                           !  =F levitating ice (no pressure, mass and salt exchanges)
                      ! Misc. options of sbc : 
-   ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr )
+   ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
    ln_dm2dc    = .false.   !  daily mean to diurnal cycle on short wave
    ln_rnf      = .true.    !  runoffs                                   (T => fill namsbc_rnf)
@@ -34,5 +32,9 @@
    ln_apr_dyn  = .false.   !  Patm gradient added in ocean & ice Eqs.   (T => fill namsbc_apr )
    ln_isf      = .false.   !  ice shelf                                 (T   => fill namsbc_isf)
-   ln_wave     = .false.   !  coupling with surface wave                (T => fill namsbc_wave)
+   ln_wave     = .false.   !  Activate coupling with wave  (T => fill namsbc_wave)
+   ln_cdgw     = .false.   !  Neutral drag coefficient read from wave model (T => ln_wave=.true. & fill namsbc_wave)
+   ln_sdw      = .false.   !  Read 2D Surf Stokes Drift & Computation of 3D stokes drift (T => ln_wave=.true. & fill namsbc_wave) 
+   ln_tauoc    = .false.   !  Activate ocean stress modified by external wave induced stress (T => ln_wave=.true. & fill namsbc_wave)
+   ln_stcor    = .false.   !  Activate Stokes Coriolis term (T => ln_wave=.true. & ln_sdw=.true. & fill namsbc_wave)
    nn_lsm      = 0         !  =0 land/sea mask for input fields is not applied (keep empty land/sea mask filename field) ,
                            !  =1:n number of iterations of land/sea mask application for input fields (fill land/sea mask filename field)
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_alb
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_alb	(revision 8809)
+++ 	(revision )
@@ -1,11 +1,0 @@
-!-----------------------------------------------------------------------
-&namsbc_alb    !   albedo parameters
-!-----------------------------------------------------------------------
-   nn_ice_alb  =    0      !  parameterization of ice/snow albedo
-                           !     0: Shine & Henderson-Sellers (JGR 1985)
-                           !     1: "home made" based on Brandt et al. (J. Climate 2005)
-                           !                         and Grenfell & Perovich (JGR 2004)
-   rn_albice   =  0.53     !  albedo of bare puddled ice (values from 0.49 to 0.58)
-                           !     0.53 (default) => if nn_ice_alb=0
-                           !     0.50 (default) => if nn_ice_alb=1
-/
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_ana
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_ana	(revision 8809)
+++ 	(revision )
@@ -1,10 +1,0 @@
-!-----------------------------------------------------------------------
-&namsbc_ana    !   analytical surface boundary condition
-!-----------------------------------------------------------------------
-   nn_tau000   =   0       !  gently increase the stress over the first ntau_rst time-steps
-   rn_utau0    =   0.5     !  uniform value for the i-stress
-   rn_vtau0    =   0.e0    !  uniform value for the j-stress
-   rn_qns0     =   0.e0    !  uniform value for the total heat flux
-   rn_qsr0     =   0.e0    !  uniform value for the solar radiation
-   rn_emp0     =   0.e0    !  uniform value for the freswater budget (E-P)
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_apr
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_apr	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_apr	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namsbc_apr    !   Atmospheric pressure used as ocean forcing or in bulk
+&namsbc_apr    !   Atmospheric pressure used as ocean forcing           (ln_apr_dyn =T)
 !-----------------------------------------------------------------------
 !              ! file name ! frequency (hours) ! variable ! time interp.!  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_blk
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_blk	(revision 8810)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_blk	(revision 8810)
@@ -0,0 +1,32 @@
+!-----------------------------------------------------------------------
+&namsbc_blk   !   namsbc_blk  generic Bulk formula                      (ln_blk =T)
+!-----------------------------------------------------------------------
+!              !  file name                   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                              ! rotation ! land/sea mask !
+!              !                              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                             ! pairing  ! filename      !
+   sn_wndi     = 'u_10.15JUNE2009_fill'       ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Uwnd'   , ''
+   sn_wndj     = 'v_10.15JUNE2009_fill'       ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Vwnd'   , ''
+   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_tair     = 't_10.15JUNE2009_fill'       ,         6         , 'T_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_humi     = 'q_10.15JUNE2009_fill'       ,         6         , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_prec     = 'ncar_precip.15JUNE2009_fill',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_snow     = 'ncar_precip.15JUNE2009_fill',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,         6         , 'SLP'     ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   sn_tdif     = 'taudif_core'                ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
+   !                    !  bulk algorithm :
+   ln_NCAR     = .false.   ! "NCAR"      algorithm   (Large and Yeager 2008)
+   ln_COARE_3p0= .false.   ! "COARE 3.0" algorithm   (Fairall et al. 2003)
+   ln_COARE_3p5= .false.   ! "COARE 3.5" algorithm   (Edson et al. 2013)
+   ln_ECMWF    = .false.   ! "ECMWF"     algorithm   (IFS cycle 31)
+   !
+   cn_dir      = './'      !  root directory for the location of the bulk files
+   ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
+   rn_zqt      = 10.       !  Air temperature and humidity reference height (m)
+   rn_zu       = 10.       !  Wind vector reference height (m)
+   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
+   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
+   rn_vfac     = 0.        !  multiplicative factor for ocean & ice velocity used to
+   !                       !  calculate the wind stress (0.=absolute or 1.=relative winds)
+   ln_Cd_L12   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2012)
+   ln_Cd_L15   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
+/
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_clio
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_clio	(revision 8809)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!-----------------------------------------------------------------------
-&namsbc_clio   !   namsbc_clio  CLIO bulk formulae
-!-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_utau     = 'taux_1m'   ,       -1          , 'sozotaux',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_vtau     = 'tauy_1m'   ,       -1          , 'sometauy',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_wndm     = 'flx'       ,       -1          , 'socliowi',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_tair     = 'flx'       ,       -1          , 'socliot2',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_humi     = 'flx'       ,       -1          , 'socliohu',   .true.     , .true. , 'yearly'  , ''       , ''       , ''
-   sn_ccov     = 'flx'       ,       -1          , 'socliocl',   .false.    , .true. , 'yearly'  , ''       , ''       , ''
-   sn_prec     = 'flx'       ,       -1          , 'socliopl',   .false.    , .true. , 'yearly'  , ''       , ''       , ''
-
-   cn_dir      = './'      !  root directory for the location of the bulk files are
-/
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_core
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_core	(revision 8809)
+++ 	(revision )
@@ -1,24 +1,0 @@
-!-----------------------------------------------------------------------
-&namsbc_core   !   namsbc_core  CORE bulk formulae
-!-----------------------------------------------------------------------
-!              !  file name                   ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights                               ! rotation ! land/sea mask !
-!              !                              !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename                              ! pairing  ! filename      !
-   sn_wndi     = 'u_10.15JUNE2009_fill'       ,         6         , 'U_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Uwnd'   , ''
-   sn_wndj     = 'v_10.15JUNE2009_fill'       ,         6         , 'V_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bicubic_noc.nc'   , 'Vwnd'   , ''
-   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'SWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,        24         , 'LWDN_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_tair     = 't_10.15JUNE2009_fill'       ,         6         , 'T_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_humi     = 'q_10.15JUNE2009_fill'       ,         6         , 'Q_10_MOD',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_prec     = 'ncar_precip.15JUNE2009_fill',        -1         , 'PRC_MOD1',   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_snow     = 'ncar_precip.15JUNE2009_fill',        -1         , 'SNOW'    ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-   sn_tdif     = 'taudif_core'                ,        24         , 'taudif'  ,   .false.    , .true. , 'yearly'  , 'weights_core_orca2_bilinear_noc.nc'  , ''       , ''
-
-   cn_dir      = './'      !  root directory for the location of the bulk files
-   ln_taudif   = .false.   !  HF tau contribution: use "mean of stress module - module of the mean stress" data
-   rn_zqt      = 10.       !  Air temperature and humidity reference height (m)
-   rn_zu       = 10.       !  Wind vector reference height (m)
-   rn_pfac     = 1.        !  multiplicative factor for precipitation (total & snow)
-   rn_efac     = 1.        !  multiplicative factor for evaporation (0. or 1.)
-   rn_vfac     = 0.        !  multiplicative factor for ocean/ice velocity
-                           !  in the calculation of the wind stress (0.=absolute winds or 1.=relative winds)
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_cpl
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_cpl	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_cpl	(revision 8810)
@@ -10,4 +10,7 @@
    sn_snd_crt    =   'none'                 ,    'no'    , 'spherical' , 'eastward-northward' ,  'T'
    sn_snd_co2    =   'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
+   sn_snd_crtw   =       'none'                 ,    'no'    ,     ''      ,         ''           , 'U,V'
+   sn_snd_ifrac  =       'none'                 ,    'no'    ,     ''      ,         ''           ,   ''
+   sn_snd_wlev   =       'coupled'              ,    'no'    ,     ''      ,         ''           ,   ''
 ! receive
    sn_rcv_w10m   =   'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
@@ -21,4 +24,14 @@
    sn_rcv_cal    =   'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
    sn_rcv_co2    =   'coupled'              ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_hsig   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_iceflx =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_mslp   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_phioc  =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_sdrfx  =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_sdrfy  =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_wper   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_wnum   =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_wstrf  =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
+   sn_rcv_wdrag  =       'none'                 ,    'no'    ,     ''      ,         ''          ,   ''
 !
    nn_cplmodel   =     1   !  Maximum number of models to/from which NEMO is potentialy sending/receiving data
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_flx
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_flx	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_flx	(revision 8810)
@@ -9,5 +9,5 @@
    sn_qsr      = 'qsr'       ,        24         , 'qsr'     , .false.      , .false., 'yearly'  , ''       , ''       , ''
    sn_emp      = 'emp'       ,        24         , 'emp'     , .false.      , .false., 'yearly'  , ''       , ''       , ''
-
+   !
    cn_dir      = './'      !  root directory for the location of the flux files
 /
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_mfs
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_mfs	(revision 8809)
+++ 	(revision )
@@ -1,15 +1,0 @@
-!-----------------------------------------------------------------------
-&namsbc_mfs   !   namsbc_mfs  MFS bulk formulae
-!-----------------------------------------------------------------------
-!              !  file name  ! frequency (hours) ! variable ! time interp. !  clim  ! 'yearly'/ ! weights     ! rotation ! land/sea mask !
-!              !             !  (if <0  months)  !   name   !   (logical)  !  (T/F) ! 'monthly' ! filename    ! pairing  ! filename      !
-   sn_wndi     =   'ecmwf'   ,        6          , 'u10'    ,    .true.    , .false., 'daily'   ,'bicubic.nc' ,   ''     ,   ''
-   sn_wndj     =   'ecmwf'   ,        6          , 'v10'    ,    .true.    , .false., 'daily'   ,'bicubic.nc' ,   ''     ,   ''
-   sn_clc      =   'ecmwf'   ,        6          , 'clc'    ,    .true.    , .false., 'daily'   ,'bilinear.nc',   ''     ,   ''
-   sn_msl      =   'ecmwf'   ,        6          , 'msl'    ,    .true.    , .false., 'daily'   ,'bicubic.nc' ,   ''     ,   ''
-   sn_tair     =   'ecmwf'   ,        6          , 't2'     ,    .true.    , .false., 'daily'   ,'bicubic.nc' ,   ''     ,   ''
-   sn_rhm      =   'ecmwf'   ,        6          , 'rh'     ,    .true.    , .false., 'daily'   ,'bilinear.nc',   ''     ,   ''
-   sn_prec     =   'ecmwf'   ,        6          , 'precip' ,    .true.    , .true. , 'daily'   ,'bicubic.nc' ,   ''     ,   ''
-
-   cn_dir      = './ECMWF/'      !  root directory for the location of the bulk files
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_rnf
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_rnf	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_rnf	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namsbc_rnf    !   runoffs namelist surface boundary condition          (ln_rnf=T)
+&namsbc_rnf    !   runoffs namelist surface boundary condition          (ln_rnf =T)
 !-----------------------------------------------------------------------
 !              !  file name           ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_sas
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_sas	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_sas	(revision 8810)
@@ -1,9 +1,9 @@
 !-----------------------------------------------------------------------
-&namsbc_sas    !   analytical surface boundary condition
+&namsbc_sas    !   Stand-Alone Surface boundary condition
 !-----------------------------------------------------------------------
 !              !  file name  ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
 !              !             !  (if <0  months)  !   name    !  (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_usp      = 'sas_grid_U',     120           , 'vozocrtx',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
-   sn_vsp      = 'sas_grid_V',     120           , 'vomecrty',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
+   sn_usp      = 'sas_grid_U',     120           , 'uos'     ,   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
+   sn_vsp      = 'sas_grid_V',     120           , 'vos'     ,   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
    sn_tem      = 'sas_grid_T',     120           , 'sosstsst',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
    sn_sal      = 'sas_grid_T',     120           , 'sosaline',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
@@ -12,5 +12,6 @@
    sn_frq      = 'sas_grid_T',     120           , 'frq_m'   ,   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
 
-   ln_3d_uve   = .true.    !  specify whether we are supplying a 3D u,v and e3 field
+   l_sasread   = .true.    !  =T Read the above fields in a file, =F initialize to 0. in sbcssm.F90
+   ln_3d_uve   = .false.   !  specify whether we are supplying a 3D u,v and e3 field
    ln_read_frq = .false.   !  specify whether we must read frq or not
    cn_dir      = './'      !  root directory for the location of the bulk files are
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_ssr
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_ssr	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_ssr	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namsbc_ssr    !   surface boundary condition : sea surface restoring   (ln_ssr=T)
+&namsbc_ssr    !   surface boundary condition : sea surface restoring   (ln_ssr =T)
 !-----------------------------------------------------------------------
 !              ! file name ! frequency (hours) ! variable ! time interp.!  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
@@ -10,5 +10,5 @@
    nn_sstr     =     0     !  add a retroaction term in the surface heat       flux (=1) or not (=0)
    nn_sssr     =     2     !  add a damping     term in the surface freshwater flux (=2)
-                           !  or to SSS only (=1) or no damping term (=0)
+   !                       !  or to SSS only (=1) or no damping term (=0)
    rn_dqdt     =   -40.    !  magnitude of the retroaction on temperature   [W/m2/K]
    rn_deds     =  -166.67  !  magnitude of the damping on salinity   [mm/day]
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_wave
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_wave	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namsbc_wave	(revision 8810)
@@ -2,13 +2,14 @@
 &namsbc_wave   ! External fields from wave model                        (ln_wave=T)
 !-----------------------------------------------------------------------
-!              ! file name ! frequency (hours) ! variable    ! time interp.!  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
-!              !           !  (if <0  months)  !   name      !  (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  ! filename      !
-   sn_cdg      = 'cdg_wave',        1          , 'drag_coeff',   .true.    , .false., 'daily'   ,    ''      , ''       , ''
-   sn_usd      = 'sdw_wave',        1          , 'u_sd2d'    ,   .true.    , .false., 'daily'   ,    ''      , ''       , ''
-   sn_vsd      = 'sdw_wave',        1          , 'v_sd2d'    ,   .true.    , .false., 'daily'   ,    ''      , ''       , ''
-   sn_wn       = 'sdw_wave',        1          , 'wave_num'  ,   .true.    , .false., 'daily'   ,    ''      , ''       , ''
+!              !  file name  ! frequency (hours) ! variable     ! time interp. !  clim   ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
+!              !             !  (if <0  months)  !   name       !   (logical)  !  (T/F)  ! 'monthly' ! filename ! pairing  ! filename      !
+   sn_cdg      =  'sdw_wave' ,        1          , 'drag_coeff' ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
+   sn_usd      =  'sdw_wave' ,        1          , 'u_sd2d'     ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
+   sn_vsd      =  'sdw_wave' ,        1          , 'v_sd2d'     ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
+   sn_hsw      =  'sdw_wave' ,        1          , 'hs'         ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
+   sn_wmp      =  'sdw_wave' ,        1          , 'wmp'        ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
+   sn_wnum     =  'sdw_wave' ,        1          , 'wave_num'   ,     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
+   sn_tauoc    =  'sdw_wave' ,        1          , 'wave_stress',     .true.   , .false. , 'daily'   ,  ''      , ''       , ''
 !
-   cn_dir_cdg  = './'      !  root directory for the location of drag coefficient files
-   ln_cdgw     = .false.   !  Neutral drag coefficient read from wave model
-   ln_sdw      = .false.   !  Computation of 3D stokes drift               
+   cn_dir  = './'  !  root directory for the location of drag coefficient files
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_adv
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_adv	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_adv	(revision 8810)
@@ -1,5 +1,6 @@
 !-----------------------------------------------------------------------
-&namtra_adv    !   advection scheme for tracer                          (default: NO advection)
+&namtra_adv    !   advection scheme for tracer                          (default: NO selection)
 !-----------------------------------------------------------------------
+   ln_traadv_NONE= .false. !  No tracer advection
    ln_traadv_cen = .false. !  2nd order centered scheme
       nn_cen_h   =  4            !  =2/4, horizontal 2nd order CEN / 4th order CEN
@@ -8,6 +9,4 @@
       nn_fct_h   =  2            !  =2/4, horizontal 2nd / 4th order 
       nn_fct_v   =  2            !  =2/4, vertical   2nd / COMPACT 4th order 
-      nn_fct_zts =  0            !  >=1,  2nd order FCT scheme with vertical sub-timestepping
-      !                          !        (number of sub-timestep = nn_fct_zts)
    ln_traadv_mus = .false. !  MUSCL scheme
       ln_mus_ups = .false.       !  use upstream scheme near river mouths
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_dmp
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_dmp	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_dmp	(revision 8810)
@@ -2,8 +2,8 @@
 &namtra_dmp    !   tracer: T & S newtonian damping                      (default: NO)
 !-----------------------------------------------------------------------
-   ln_tradmp   =  .true.   !  add a damping termn (T) or not (F)
-   nn_zdmp     =    0      !  vertical   shape =0    damping throughout the water column
-                           !                   =1 no damping in the mixing layer (kz  criteria)
-                           !                   =2 no damping in the mixed  layer (rho crieria)
-   cn_resto    ='resto.nc' !  Name of file containing restoration coeff. field (use dmp_tools to create this)
+   ln_tradmp   =  .true.   !  add a damping term
+      nn_zdmp     =    0      !  vertical shape =0    damping throughout the water column
+      !                       !                 =1 no damping in the mixing layer (kz  criteria)
+      !                       !                 =2 no damping in the mixed  layer (rho crieria)
+      cn_resto    ='resto.nc' !  Name of file containing restoration coeff. field (use dmp_tools to create this)
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_ldf
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_ldf	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_ldf	(revision 8810)
@@ -1,7 +1,7 @@
 !-----------------------------------------------------------------------
-&namtra_ldf    !   lateral diffusion scheme for tracers                 (default: NO diffusion)
+&namtra_ldf    !   lateral diffusion scheme for tracers                 (default: NO selection)
 !-----------------------------------------------------------------------
    !                       !  Operator type:
-   !                           !  no diffusion: set ln_traldf_lap=..._blp=F 
+   ln_traldf_NONE  =  .false.  !  No explicit diffusion
    ln_traldf_lap   =  .false.  !    laplacian operator
    ln_traldf_blp   =  .false.  !  bilaplacian operator
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_ldfeiv
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_ldfeiv	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_ldfeiv	(revision 8810)
@@ -2,13 +2,13 @@
 &namtra_ldfeiv !   eddy induced velocity param.                         (default: NO)
 !-----------------------------------------------------------------------
-   ln_ldfeiv     =.false.  ! use eddy induced velocity parameterization
-   ln_ldfeiv_dia =.false.  ! diagnose eiv stream function and velocities
-   rn_aeiv_0     = 2000.   ! eddy induced velocity coefficient   [m2/s]
-   nn_aei_ijk_t  = 21      ! space/time variation of the eiv coeficient
-   !                                !   =-20 (=-30)    read in eddy_induced_velocity_2D.nc (..._3D.nc) file
-   !                                !   =  0           constant 
-   !                                !   = 10 F(k)      =ldf_c1d 
-   !                                !   = 20 F(i,j)    =ldf_c2d 
-   !                                !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
-   !                                !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
+   ln_ldfeiv     = .false. ! use eddy induced velocity parameterization
+      rn_aeiv_0     = 2000.   ! eddy induced velocity coefficient   [m2/s]
+      nn_aei_ijk_t  = 21      ! space/time variation of the eiv coeficient
+      !                             !   =-20 (=-30)    read in eddy_induced_velocity_2D.nc (..._3D.nc) file
+      !                             !   =  0           constant 
+      !                             !   = 10 F(k)      =ldf_c1d 
+      !                             !   = 20 F(i,j)    =ldf_c2d 
+      !                             !   = 21 F(i,j,t)  =Treguier et al. JPO 1997 formulation
+      !                             !   = 30 F(i,j,k)  =ldf_c2d + ldf_c1d
+      ln_ldfeiv_dia =.false.  ! diagnose eiv stream function and velocities
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_qsr
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_qsr	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namtra_qsr	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namtra_qsr    !   penetrative solar radiation                          (ln_traqsr=T)
+&namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
 !-----------------------------------------------------------------------
 !              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation ! land/sea mask !
@@ -14,4 +14,3 @@
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
    rn_si1      =   23.0    !  2 bands: longest depth of extinction
-   ln_qsr_ice  = .true.    !  light penetration for ice-model LIM3
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf	(revision 8810)
@@ -1,16 +1,31 @@
 !-----------------------------------------------------------------------
-&namzdf        !   vertical physics
+&namzdf        !   vertical physics                                     (default: NO selection)
 !-----------------------------------------------------------------------
-   rn_avm0     =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-   rn_avt0     =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
-   nn_avb      =    0      !  profile for background avt & avm (=1) or not (=0)
-   nn_havtb    =    0      !  horizontal shape for avtb (=1) or not (=0)
-   ln_zdfevd   = .true.    !  enhanced vertical diffusion (evd) (T) or not (F)
-      nn_evdm     =    0        ! evd apply on tracer (=0) or on tracer and momentum (=1)
-      rn_avevd    =  100.       !  evd mixing coefficient [m2/s]
-   ln_zdfnpc   = .false.   !  Non-Penetrative Convective algorithm (T) or not (F)
-      nn_npc      =    1        ! frequency of application of npc
-      nn_npcp     =  365        ! npc control print frequency
-   ln_zdfexp   = .false.   !  time-stepping: split-explicit (T) or implicit (F) time stepping
-      nn_zdfexp   =    3        ! number of sub-timestep for ln_zdfexp=T
+   !                       ! type of vertical closure (required)
+   ln_zdfcst   = .false.      !  constant mixing
+   ln_zdfric   = .false.      !  local Richardson dependent formulation (T =>   fill namzdf_ric)
+   ln_zdftke   = .false.      !  Turbulent Kinetic Energy closure       (T =>   fill namzdf_tke)
+   ln_zdfgls   = .false.      !  Generic Length Scale closure           (T =>   fill namzdf_gls)
+   !
+   !                       ! convection
+   ln_zdfevd   = .false.      !  enhanced vertical diffusion
+      nn_evdm     =    0         ! apply on tracer (=0) or on tracer and momentum (=1)
+      rn_evd      =  100.        ! mixing coefficient [m2/s]
+   ln_zdfnpc   = .false.      !  Non-Penetrative Convective algorithm
+      nn_npc      =    1         ! frequency of application of npc
+      nn_npcp     =  365         ! npc control print frequency
+   !
+   ln_zdfddm   = .false.   ! double diffusive mixing
+      rn_avts  =    1.e-4     !  maximum avs (vertical mixing on salinity)
+      rn_hsbfr =    1.6       !  heat/salt buoyancy flux ratio
+   !
+   !                       ! gravity wave-driven vertical mixing
+   ln_zdfiwm   = .false.      ! internal wave-induced mixing            (T =>   fill namzdf_iwm)
+   ln_zdfswm   = .false.      ! surface  wave-induced mixing            (T => ln_wave=ln_sdw=T )
+   !
+   !                       ! coefficients
+   rn_avm0     =   1.2e-4     !  vertical eddy viscosity   [m2/s]       (background Kz if ln_zdfcst=F)
+   rn_avt0     =   1.2e-5     !  vertical eddy diffusivity [m2/s]       (background Kz if ln_zdfcst=F)
+   nn_avb      =    0         !  profile for background avt & avm (=1) or not (=0)
+   nn_havtb    =    0         !  horizontal shape for avtb (=1) or not (=0)
 /
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_ddm
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_ddm	(revision 8809)
+++ 	(revision )
@@ -1,6 +1,0 @@
-!-----------------------------------------------------------------------
-&namzdf_ddm    !   double diffusive mixing parameterization             ("key_zdfddm")
-!-----------------------------------------------------------------------
-   rn_avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
-   rn_hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_gls
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_gls	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_gls	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namzdf_gls    !   GLS vertical diffusion                               ("key_zdfgls")
+&namzdf_gls    !   GLS vertical diffusion                               (ln_zdfgls =T)
 !-----------------------------------------------------------------------
    rn_emin       = 1.e-7   !  minimum value of e   [m2/s2]
@@ -10,6 +10,7 @@
    rn_charn      = 70000.  !  Charnock constant for wb induced roughness length
    rn_hsro       =  0.02   !  Minimum surface roughness
-   rn_frac_hs    =   1.3   !  Fraction of wave height as roughness (if nn_z0_met=2)
-   nn_z0_met     =     2   !  Method for surface roughness computation (0/1/2)
+   rn_frac_hs    =   1.3   !  Fraction of wave height as roughness (if nn_z0_met>1)
+   nn_z0_met     =     2   !  Method for surface roughness computation (0/1/2/3)
+   !                             ! =3 requires ln_wave=T
    nn_bc_surf    =     1   !  surface condition (0/1=Dir/Neum)
    nn_bc_bot     =     1   !  bottom condition (0/1=Dir/Neum)
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_iwm
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_iwm	(revision 8810)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_iwm	(revision 8810)
@@ -0,0 +1,7 @@
+!-----------------------------------------------------------------------
+&namzdf_iwm    !    internal wave-driven mixing parameterization        (ln_zdfiwm =T)
+!-----------------------------------------------------------------------
+   nn_zpyc     = 1         !  pycnocline-intensified dissipation scales as N (=1) or N^2 (=2)
+   ln_mevar    = .true.    !  variable (T) or constant (F) mixing efficiency
+   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
+/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_ric
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_ric	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_ric	(revision 8810)
@@ -1,13 +1,13 @@
 !-----------------------------------------------------------------------
-&namzdf_ric    !   richardson number dependent vertical diffusion       ("key_zdfric" )
+&namzdf_ric    !   richardson number dependent vertical diffusion       (ln_zdfric =T)
 !-----------------------------------------------------------------------
    rn_avmri    =  100.e-4  !  maximum value of the vertical viscosity
    rn_alp      =    5.     !  coefficient of the parameterization
    nn_ric      =    2      !  coefficient of the parameterization
-   rn_ekmfc    =    0.7    !  Factor in the Ekman depth Equation
-   rn_mldmin   =    1.0    !  minimum allowable mixed-layer depth estimate (m)
-   rn_mldmax   = 1000.0    !  maximum allowable mixed-layer depth estimate (m)
-   rn_wtmix    =   10.0    !  vertical eddy viscosity coeff [m2/s] in the mixed-layer
-   rn_wvmix    =   10.0    !  vertical eddy diffusion coeff [m2/s] in the mixed-layer
-   ln_mldw     =  .true.   !  Flag to use or not the mixed layer depth param.
+   ln_mldw     =  .false.  !  enhanced mixing in the Ekman layer
+      rn_ekmfc    =    0.7    !  Factor in the Ekman depth Equation
+      rn_mldmin   =    1.0    !  minimum allowable mixed-layer depth estimate (m)
+      rn_mldmax   = 1000.0    !  maximum allowable mixed-layer depth estimate (m)
+      rn_wtmix    =   10.0    !  vertical eddy viscosity coeff [m2/s] in the mixed-layer
+      rn_wvmix    =   10.0    !  vertical eddy diffusion coeff [m2/s] in the mixed-layer
 /
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tke
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tke	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tke	(revision 8810)
@@ -1,4 +1,4 @@
 !-----------------------------------------------------------------------
-&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
+&namzdf_tke    !   turbulent eddy kinetic dependent vertical diffusion  (ln_zdftke =T)
 !-----------------------------------------------------------------------
    rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
@@ -8,21 +8,21 @@
    rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
    rn_bshear   =   1.e-20  ! background shear (>0) currently a numerical threshold (do not change it)
+   nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
    nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
-                           !                 = 1 bounded by the local vertical scale factor
-                           !                 = 2 first vertical derivative of mixing length bounded by 1
-                           !                 = 3 as =2 with distinct disspipative an mixing length scale
-   nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
+   !                       !                 = 1 bounded by the local vertical scale factor
+   !                       !                 = 2 first vertical derivative of mixing length bounded by 1
+   !                       !                 = 3 as =2 with distinct disspipative an mixing length scale
    ln_mxl0     = .true.    !  surface mixing length scale = F(wind stress) (T) or not (F)
    rn_mxl0     =   0.04    !  surface  buoyancy lenght scale minimum value
+   ln_drg      = .false.   !  top/bottom friction added as boundary condition of TKE
    ln_lc       = .true.    !  Langmuir cell parameterisation (Axell 2002)
-   rn_lc       =   0.15    !  coef. associated to Langmuir cells
-   nn_etau     =   1       !  penetration of tke below the mixed layer (ML) due to near intertial waves
-                           !        = 0 no penetration
-                           !        = 1 add a tke source below the ML
-                           !        = 2 add a tke source just at the base of the ML
-                           !        = 3 as = 1 applied on HF part of the stress           (ln_cpl=T)
-   rn_efr      =   0.05    !  fraction of surface tke value which penetrates below the ML (nn_etau=1 or 2)
-   nn_htau     =   1       !  type of exponential decrease of tke penetration below the ML
-                           !        = 0  constant 10 m length scale
-                           !        = 1  0.5m at the equator to 30m poleward of 40 degrees
+      rn_lc       =   0.15    !  coef. associated to Langmuir cells
+   nn_etau     =   1       !  penetration of tke below the mixed layer (ML) due to NIWs
+                              !        = 0 none ; = 1 add a tke source below the ML
+                              !        = 2 add a tke source just at the base of the ML
+                              !        = 3 as = 1 applied on HF part of the stress           (ln_cpl=T)
+      rn_efr      =   0.05    !  fraction of surface tke value which penetrates below the ML (nn_etau=1 or 2)
+      nn_htau     =   1       !  type of exponential decrease of tke penetration below the ML
+                              !        = 0  constant 10 m length scale
+                              !        = 1  0.5m at the equator to 30m poleward of 40 degrees
 /
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tmx
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tmx	(revision 8809)
+++ 	(revision )
@@ -1,10 +1,0 @@
-!-----------------------------------------------------------------------
-&namzdf_tmx    !   tidal mixing parameterization                        ("key_zdftmx")
-!-----------------------------------------------------------------------
-   rn_htmx     = 500.      !  vertical decay scale for turbulence (meters)
-   rn_n2min    = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
-   rn_tfe      = 0.333     !  tidal dissipation efficiency
-   rn_me       = 0.2       !  mixing efficiency
-   ln_tmx_itf  = .true.    !  ITF specific parameterisation
-   rn_tfe_itf  = 1.        !  ITF tidal dissipation efficiency
-/
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tmx_new
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzdf_tmx_new	(revision 8809)
+++ 	(revision )
@@ -1,7 +1,0 @@
-!-----------------------------------------------------------------------
-&namzdf_tmx_new !   internal wave-driven mixing parameterization        ("key_zdftmx_new" & "key_zdfddm")
-!-----------------------------------------------------------------------
-   nn_zpyc     = 1         !  pycnocline-intensified dissipation scales as N (=1) or N^2 (=2)
-   ln_mevar    = .true.    !  variable (T) or constant (F) mixing efficiency
-   ln_tsdiff   = .true.    !  account for differential T/S mixing (T) or not (F)
-/
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzgr
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzgr	(revision 8809)
+++ 	(revision )
@@ -1,9 +1,0 @@
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate                                  (default: NO selection)
-!-----------------------------------------------------------------------
-   ln_zco      = .false.   !  z-coordinate - full    steps
-   ln_zps      = .false.   !  z-coordinate - partial steps
-   ln_sco      = .false.   !  s- or hybrid z-s-coordinate
-   ln_isfcav   = .false.   !  ice shelf cavity
-   ln_linssh   = .false.   !  linear free surface
-/
Index: anches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzgr_sco
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/Namelists/namzgr_sco	(revision 8809)
+++ 	(revision )
@@ -1,25 +1,0 @@
-!-----------------------------------------------------------------------
-&namzgr_sco    !   s-coordinate or hybrid z-s-coordinate                (default F)
-!-----------------------------------------------------------------------
-   ln_s_sh94   = .false.    !  Song & Haidvogel 1994 hybrid S-sigma   (T)|
-   ln_s_sf12   = .false.   !  Siddorn & Furner 2012 hybrid S-z-sigma (T)| if both are false the NEMO tanh stretching is applied
-   ln_sigcrit  = .false.   !  use sigma coordinates below critical depth (T) or Z coordinates (F) for Siddorn & Furner stretch
-                           !  stretching coefficients for all functions
-   rn_sbot_min =   10.0    !  minimum depth of s-bottom surface (>0) (m)
-   rn_sbot_max = 7000.0    !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
-   rn_hc       =  150.0    !  critical depth for transition to stretched coordinates
-                        !!!!!!!  Envelop bathymetry
-   rn_rmax     =    0.3    !  maximum cut-off r-value allowed (0<r_max<1)
-                        !!!!!!!  SH94 stretching coefficients  (ln_s_sh94 = .true.)
-   rn_theta    =    6.0    !  surface control parameter (0<=theta<=20)
-   rn_bb       =    0.8    !  stretching with SH94 s-sigma
-                        !!!!!!!  SF12 stretching coefficient  (ln_s_sf12 = .true.)
-   rn_alpha    =    4.4    !  stretching with SF12 s-sigma
-   rn_efold    =    0.0    !  efold length scale for transition to stretched coord
-   rn_zs       =    1.0    !  depth of surface grid box
-                           !  bottom cell depth (Zb) is a linear function of water depth Zb = H*a + b
-   rn_zb_a     =    0.024  !  bathymetry scaling factor for calculating Zb
-   rn_zb_b     =   -0.2    !  offset for calculating Zb
-                        !!!!!!!! Other stretching (not SH94 or SF12) [also uses rn_theta above]
-   rn_thetb    =    1.0    !  bottom control parameter  (0<=thetb<= 1)
-/
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_CFG.tex
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_CFG.tex	(revision 8810)
@@ -37,4 +37,8 @@
 \section{Water column model: 1D model (C1D) (\key{c1d}) }
 \label{CFG_c1d}
+
+$\ $\newline
+BE careful: to be re-written according to suppression of jpizoom and jpjzoom !!!!
+$\ $\newline
 
 The 1D model option simulates a stand alone water column within the 3D \NEMO system. 
@@ -140,6 +144,6 @@
 than the smallest one in the southern hemisphere.
 The resulting mesh is shown in Fig.~\ref{Fig_MISC_ORCA_msh} and \ref{Fig_MISC_ORCA_e1e2} 
-for a half a degree grid (ORCA\_R05). The smallest ocean scale factor is found in along  
-Antarctica, while the ratio of anisotropy remains close to one except near the Victoria Island 
+for a half a degree grid (ORCA\_R05).
+The smallest ocean scale factor is found in along  Antarctica, while the ratio of anisotropy remains close to one except near the Victoria Island 
 in the Canadian Archipelago. 
 
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_DOM.tex
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_DOM.tex	(revision 8810)
@@ -737,5 +737,5 @@
 \begin{table}     \begin{center} \begin{tabular}{c||r|r|r|r}
 \hline
-\textbf{LEVEL}& \textbf{gdept}& \textbf{gdepw}& \textbf{e3t }& \textbf{e3w  } \\ \hline
+\textbf{LEVEL}& \textbf{gdept\_1d}& \textbf{gdepw\_1d}& \textbf{e3t\_1d }& \textbf{e3w\_1d  } \\ \hline
 1	&	\textbf{  5.00}	&       0.00 &	\textbf{ 10.00} &	 10.00 \\	\hline
 2	&	\textbf{15.00}	& 	  10.00 &	\textbf{ 10.00} &	 10.00 \\	\hline
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_MISC.tex
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_MISC.tex	(revision 8810)
@@ -2,5 +2,5 @@
 \begin{document}
 % ================================================================
-% Chapter ——— Miscellaneous Topics
+% Chapter --- Miscellaneous Topics
 % ================================================================
 \chapter{Miscellaneous Topics}
@@ -87,41 +87,8 @@
 
 % ================================================================
-% Sub-Domain Functionality (\textit{nizoom, njzoom}, namelist parameters)
-% ================================================================
-\section{Sub-Domain Functionality (\np{jpizoom}, \np{jpjzoom})}
+% Sub-Domain Functionality 
+% ================================================================
+\section{Sub-Domain Functionality}
 \label{MISC_zoom}
-
-The sub-domain functionality, also improperly called the zoom option 
-(improperly because it is not associated with a change in model resolution) 
-is a quite simple function that allows a simulation over a sub-domain of an 
-already defined configuration ($i.e.$ without defining a new mesh, initial 
-state and forcings). This option can be useful for testing the user settings 
-of surface boundary conditions, or the initial ocean state of a huge ocean 
-model configuration while having a small computer memory requirement. 
-It can also be used to easily test specific physics in a sub-domain (for example, 
-see \citep{Madec_al_JPO96} for a test of the coupling used in the global ocean 
-version of OPA between sea-ice and ocean model over the Arctic or Antarctic 
-ocean, using a sub-domain). In the standard model, this option does not 
-include any specific treatment for the ocean boundaries of the sub-domain: 
-they are considered as artificial vertical walls. Nevertheless, it is quite easy 
-to add a restoring term toward a climatology in the vicinity of such boundaries 
-(see \S\ref{TRA_dmp}).
-
-In order to easily define a sub-domain over which the computation can be 
-performed, the dimension of all input arrays (ocean mesh, bathymetry, 
-forcing, initial state, ...) are defined as \np{jpidta}, \np{jpjdta} and \np{jpkdta} 
-( in \ngn{namcfg} namelist), while the computational domain is defined through 
-\np{jpiglo}, \np{jpjglo} and \jp{jpk} (\ngn{namcfg} namelist). When running the 
-model over the whole domain, the user sets \np{jpiglo}=\np{jpidta} \np{jpjglo}=\np{jpjdta} 
-and \jp{jpk}=\jp{jpkdta}. When running the model over a sub-domain, the user 
-has to provide the size of the sub-domain, (\np{jpiglo}, \np{jpjglo}, \np{jpkglo}), 
-and the indices of the south western corner as \np{jpizoom} and \np{jpjzoom} in 
-the  \ngn{namcfg} namelist (Fig.~\ref{Fig_LBC_zoom}). 
-
-Note that a third set of dimensions exist, \jp{jpi}, \jp{jpj} and \jp{jpk} which is 
-actually used to perform the computation. It is set by default to \jp{jpi}=\np{jpjglo} 
-and \jp{jpj}=\np{jpjglo}, except for massively parallel computing where the 
-computational domain is laid out on local processor memories following a 2D 
-horizontal splitting. % (see {\S}IV.2-c) ref to the section to be updated
 
 \subsection{Simple subsetting of input files via netCDF attributes}
@@ -165,5 +132,5 @@
 \noindent Add the logical switch to \ngn{namcfg} in the configuration namelist and set true:
 %--------------------------------------------namcfg--------------------------------------------------------
-\namdisplay{namcfg_orca1}
+\namdisplay{namcfg}
 %--------------------------------------------------------------------------------------------------------------
 
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_SBC.tex
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Chap_SBC.tex	(revision 8810)
@@ -1268,5 +1268,5 @@
 sea-ice model is is done by defining a CPP key (\key{lim3} or \key{cice}). 
 The activation automatically overwrites the read value of nn{\_}ice to its appropriate 
-value ($i.e.$ $2$ for LIM-2, $3$ for LIM-3 or $4$ for CICE).
+value ($i.e.$ $2$ for LIM-3 or $3$ for CICE).
 \end{description}
 
Index: /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Introduction.tex
===================================================================
--- /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Introduction.tex	(revision 8809)
+++ /branches/2017/dev_r7881_ENHANCE09_RK3/DOC/TexFiles/Chapters/Introduction.tex	(revision 8810)
@@ -255,16 +255,16 @@
 $\bullet$ The main modifications from NEMO/OPA v3.4 and  v3.6 are :\\
 \begin{enumerate}
+ \item ... ; 
+\end{enumerate}
+
+
+ \vspace{1cm}
+$\bullet$ The main modifications from NEMO/OPA v3.6 and  v4.0 are :\\
+\begin{enumerate}
+\item new definition of configurations ;
+\item bulk formulation ;
 \item ... ; 
 \end{enumerate}
 
 
- \vspace{1cm}
-$\bullet$ The main modifications from NEMO/OPA v3.6 and  v4.0 are :\\
-\begin{enumerate}
-\item ... ; 
-
-
-\end{enumerate}
-
-
 \end{document}
